> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Access Token

POST https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token
Content-Type: application/json

Get a new access token for a specific seller using a one-time authorization code or a valid refresh token

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-source-api/authentication/refresh-seller-access-token

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `grant_type` (enum, required) — The type of grant used for the request. If authorization_code is used, the authorization code must be sent via the code parameter. If refresh_token is used, the refresh token must be sent via the refresh_token parameter
  - Allowed values: `authorization_code`, `refresh_token`
- `client_id` (string, required) — The account id given to you by Feedonomics as part of the onboarding process
- `client_secret` (string, required) — A password associated with your client_id, given to you by Feedonomics as part of the onboarding process
- `code` (string, optional) — Single-use authorization code, for requesting new tokens using the authorization_code grant type
- `refresh_token` (string, optional) — A refresh_token obtained by a previous call to the POST /access_token endpoint, for requesting new tokens using the refresh_token grant type

## Response

### 200

Authorization token

- `access_token` (string, optional) — Authentication token used for making requests to insert or update orders
- `token_type` (enum, optional) — The Oauth token type
  - Allowed values: `Bearer`
- `refresh_token` (string, optional) — The token used to obtain new access and refresh tokens using the refresh_token endpoint
- `expires_in` (integer, optional) — The lifetime in seconds of the access_token

## Errors

### 401 Unauthorized Error

Invalid token

- `error` (string, optional) — Message describing the authentication failure

## Examples

**Request**

```json
{
  "grant_type": "refresh_token",
  "client_id": "string",
  "client_secret": "string"
}
```

**Response**

```json
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxIiwibmFtZSI6IkZlZWRhbXAiLCJpYXQiOjF9._p278gl45T7hITPuson9KEiE-SMYwms3q-2DbAgiev8",
  "token_type": "Bearer",
  "refresh_token": "CLIENT_REFRESH_TOKEN",
  "expires_in": 3600
}
```

**SDK Code**

```python
import requests

url = "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token"

payload = {
    "grant_type": "refresh_token",
    "client_id": "string",
    "client_secret": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"grant_type":"refresh_token","client_id":"string","client_secret":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token"

	payload := strings.NewReader("{\n  \"grant_type\": \"refresh_token\",\n  \"client_id\": \"string\",\n  \"client_secret\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"grant_type\": \"refresh_token\",\n  \"client_id\": \"string\",\n  \"client_secret\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"grant_type\": \"refresh_token\",\n  \"client_id\": \"string\",\n  \"client_secret\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token', [
  'body' => '{
  "grant_type": "refresh_token",
  "client_id": "string",
  "client_secret": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"grant_type\": \"refresh_token\",\n  \"client_id\": \"string\",\n  \"client_secret\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "grant_type": "refresh_token",
  "client_id": "string",
  "client_secret": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```